org.eclipse.oomph.setup.git

## Interface GitPackage.Literals

- Enclosing interface:
    GitPackage

      public static interface GitPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EClass` | `GIT_CLONE_TASK` The meta object literal for the '`Clone Task`' class.
    `static EAttribute` | `GIT_CLONE_TASK__CHECKOUT_BRANCH` The meta object literal for the 'Checkout Branch' attribute feature.
    `static EAttribute` | `GIT_CLONE_TASK__LOCATION` The meta object literal for the 'Location' attribute feature.
    `static EAttribute` | `GIT_CLONE_TASK__PUSH_URI` The meta object literal for the 'Push URI' attribute feature.
    `static EAttribute` | `GIT_CLONE_TASK__REMOTE_NAME` The meta object literal for the 'Remote Name' attribute feature.
    `static EAttribute` | `GIT_CLONE_TASK__REMOTE_URI` The meta object literal for the 'Remote URI' attribute feature.

- - ### Field Detail

    - #### GIT_CLONE_TASK

          static final EClass GIT_CLONE_TASK

      The meta object literal for the '`Clone Task`' class.
      See Also:
        `GitCloneTaskImpl`, `GitPackageImpl.getGitCloneTask()`
      Generated

    - #### GIT_CLONE_TASK__LOCATION

          static final EAttribute GIT_CLONE_TASK__LOCATION

      The meta object literal for the 'Location' attribute feature.
      Generated

    - #### GIT_CLONE_TASK__REMOTE_NAME

          static final EAttribute GIT_CLONE_TASK__REMOTE_NAME

      The meta object literal for the 'Remote Name' attribute feature.
      Generated

    - #### GIT_CLONE_TASK__REMOTE_URI

          static final EAttribute GIT_CLONE_TASK__REMOTE_URI

      The meta object literal for the 'Remote URI' attribute feature.
      Generated

    - #### GIT_CLONE_TASK__PUSH_URI

          static final EAttribute GIT_CLONE_TASK__PUSH_URI

      The meta object literal for the 'Push URI' attribute feature.
      Generated

    - #### GIT_CLONE_TASK__CHECKOUT_BRANCH

          static final EAttribute GIT_CLONE_TASK__CHECKOUT_BRANCH

      The meta object literal for the 'Checkout Branch' attribute feature.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html